The key policy statement and service principal to grant
GET /v1/encryption_keys/setup: The key policy statement and service principal to grant.
GET /
- Scope
encryption_keys:read- Auth
- Secret key (
sk_…) - Since
- 1.0
Query parameters
Section titled “Query parameters”
Set for an organization key; omit for the environment-wide key.organizationstring
Responses
Section titled “Responses”- 200 Setup values EncryptionKeySetup
- default Any other error, including internal_error. Every code is in the error catalogue. Error
Errors share one shape; see the error code catalogue.
curl -X GET \ "https://api.ohauthcat.com/v1/encryption_keys/setup" \ -H "Authorization: Bearer $OHAUTHCAT_API_KEY"const response = await fetch("https://api.ohauthcat.com/v1/encryption_keys/setup", { method: "GET", headers: { Authorization: `Bearer ${process.env.OHAUTHCAT_API_KEY}`, },});const data = await response.json();import osimport requests
response = requests.get( "https://api.ohauthcat.com/v1/encryption_keys/setup", headers={"Authorization": f"Bearer {os.environ['OHAUTHCAT_API_KEY']}"},)data = response.json(){ "object": "encryption_key_setup", "principal_arn": "example_principal_arn", "environment": "example_environment", "scope": "organizations:read", "key_policy_statement": "example_key_policy_statement"}